<div class="m-portlet m-portlet--mobile">
    <div class="m-portlet__head">
        <div class="m-portlet__head-caption">
            <div class="m-portlet__head-title">
                <router-link :to="{ name: 'index' }" class="btn btn-brand m-btn m-btn--icon m-btn--icon-only m-btn--custom m-btn--pill m-btn--air btn-sm" exact>
                    <i class="fa fa-step-backward"></i>
                </router-link>
                <h3 class="m-portlet__head-text" style="margin-left: 10px">
                    Recommended Products
                </h3>
            </div>
        </div>
        <div class="m-portlet__head-tools">
            <ul class="m-portlet__nav">
                <li v-if="loadingStatus" class="m-portlet__nav-item">
                    <div class="m-loader m-loader--brand m-loader--lg" style="width: 30px; display: inline-block;"></div>
                </li>
                <li class="m-portlet__nav-item">
                    <router-link :to="{ name: 'create' }" class="btn btn-focus m-btn m-btn--custom m-btn--pill m-btn--icon m-btn--air">
                        <span>
                            <i class="la la-cart-plus"></i>
                            <span>New Product</span>
                        </span>
                    </router-link>
                </li>
            </ul>
        </div>
    </div>

    <form class="m-form m-form--fit m-form--label-align-right m-form--group-seperator-dashed" @submit.prevent="">

        <div class="m-portlet__body">

            <div class="form-group m-form__group row">
                <div class="col-lg-12">
                    <ValidationProvider rules="" v-slot="{ errors }" name="recommended product" ref="recommended_products">

                        <label>Products:</label>

                        <autocomplete-component entity="products"
                                                :styles="errors.length > 0 ? 'is-invalid form-control m-input' : 'form-control m-input'"
                                                @itemSelected="pushToRecommendedProducts">
                        </autocomplete-component>

                        <div v-if="errors.length > 0" class="invalid-feedback" style="display: inline !important;">
                            {{ errors[0] }}
                        </div>

                        <span v-else class="m-form__help">Please enter product name</span>
                    </ValidationProvider>
                </div>
            </div>
        </div>
    </form>

    <div class="m-portlet__body">
        <div v-if="recommended_products.length < 1" class="col-lg-12">
            <p>Select product for preview</p>
        </div>

        <div v-if="recommended_products.length > 0" class="m-section">
            <div class="m-section__content">

                <div class="m-demo" data-code-preview="true" data-code-html="true" data-code-js="false">

                    <div class="m-demo__preview scrollable">

                        <draggable
                                tag="div"
                                v-model="recommended_products"
                                v-bind="dragOptions"
                                @end="reorder">

                            <transition-group type="transition" class="row">

                                <div v-for="(product, index) in recommended_products" class="col-lg-4" :key="product.id">

                                    <ValidationProvider v-slot="{ errors, validate }" name="recommended product" :ref="'recommended_products.' + index">
                                        <div v-if="errors.length > 0" class="invalid-feedback" style="display: inline !important;">
                                            {{ errors[0] }}
                                        </div>
                                    </ValidationProvider>

                                    <template v-if="product.main_image !== null">

                                        <img :src="imageCacheRoute(product.main_image.src)" width="150px" height="150px">

                                    </template>

                                    <div class="form-group m-form__group">
                                        <label>{{ product.name }}</label>

                                        <button class="btn btn-danger" @click="removeRecommendedProduct(index)">
                                            <span class="fa fa-trash"></span>
                                        </button>
                                    </div>
                                </div>
                            </transition-group>
                        </draggable>
                    </div>
                </div>

                <!--end::Preview-->
            </div>
        </div>
    </div>
</div>